%global packname  tibble
%global rlibdir  %{_libdir}/R/library

# Unavailable and/or loops.
%global with_suggests 0

Name:             R-%{packname}
Version:          2.1.1
Release:          1%{?dist}
Summary:          Simple Data Frames

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-cli >= 1.0.1, R-crayon >= 1.3.4, R-fansi >= 0.4.0, R-methods, R-pillar >= 1.3.1, R-pkgconfig >= 2.0.2, R-rlang >= 0.3.1, R-utils
# Suggests:  R-bench >= 1.0.1, R-covr >= 3.2.1, R-dplyr >= 0.7.8, R-htmltools >= 0.3.6, R-import >= 1.1.0, R-knitr >= 1.21, R-mockr >= 0.1, R-nycflights13 >= 1.0.0, R-rmarkdown >= 1.11, R-testthat >= 2.0.1, R-withr >= 2.1.2
# LinkingTo:
# Enhances:

Requires:         R-cli >= 1.0.1
Requires:         R-crayon >= 1.3.4
Requires:         R-fansi >= 0.4.0
Requires:         R-methods
Requires:         R-pillar >= 1.3.1
Requires:         R-pkgconfig >= 2.0.2
Requires:         R-rlang >= 0.3.1
Requires:         R-utils
Suggests:         R-knitr >= 1.21
Suggests:         R-mockr >= 0.1
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-cli >= 1.0.1
BuildRequires:    R-crayon >= 1.3.4
BuildRequires:    R-fansi >= 0.4.0
BuildRequires:    R-methods
BuildRequires:    R-pillar >= 1.3.1
BuildRequires:    R-pkgconfig >= 2.0.2
BuildRequires:    R-rlang >= 0.3.1
BuildRequires:    R-utils
BuildRequires:    R-htmltools >= 0.3.6
BuildRequires:    R-import >= 1.1.0
BuildRequires:    R-knitr >= 1.21
BuildRequires:    R-mockr >= 0.1
BuildRequires:    R-rmarkdown >= 1.11
BuildRequires:    R-testthat >= 2.0.1
BuildRequires:    R-withr >= 2.1.2
%if %{with_suggests}
BuildRequires:    R-bench >= 1.0.1
BuildRequires:    R-dplyr >= 0.7.8
BuildRequires:    R-nycflights13 >= 1.0.0
%endif

%description
Provides a 'tbl_df' class (the 'tibble') that provides stricter checking and
better formatting than the traditional data frame.


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
export LANG=C.UTF-8
%if %{with_suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname} --no-examples
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Sun Mar 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.1.1-1
- Update to latest version

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Aug 15 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.2-2
- rebuilt

* Tue Aug 14 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.2-1
- initial package for Fedora
